import {Request} from '../Request.ts'
import Kernel from './Kernel.ts'
import AppClass from '../../lifecycle/AppClass.ts'

export default class Module extends AppClass {
    public async match(request: Request): Promise<boolean> {
        return true
    }

    public async apply(request: Request): Promise<Request> {
        return request
    }

    public static register(kernel: Kernel) {
        kernel.register(this).before()
    }
}
