import AppClass from '../../lifecycle/AppClass.ts'
import SessionInterface, {SessionData} from './SessionInterface.ts'

export default abstract class Session extends AppClass implements SessionInterface {
    public abstract get_key(): string
    public abstract set_key(key: string): void
    public abstract async persist(): Promise<void>
    public abstract get_data(): SessionData
    public abstract set_data(data: SessionData): void
    public abstract get_attribute(key: string): any
    public abstract set_attribute(key: string, value: any): void
    public abstract async init_session(): Promise<void>
}
